Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.eviware.soapui.model.iface
Enum MessagePart.PartType

    java.lang.Object
      java.lang.Enum<MessagePart.PartType>
          com.eviware.soapui.model.iface.MessagePart.PartType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<MessagePart.PartType>

Enclosing interface:
  MessagePart

    public static enum MessagePart.PartType

extends java.lang.Enum<MessagePart.PartType>

Enum Constant Summary
`ATTACHMENT`
`CONTENT`
`FAULT`
`HEADER`

Method Summary
`static MessagePart.PartType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static MessagePart.PartType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### HEADER

    public static final MessagePart.PartType HEADER

### CONTENT

    public static final MessagePart.PartType CONTENT

### ATTACHMENT

    public static final MessagePart.PartType ATTACHMENT

### FAULT

    public static final MessagePart.PartType FAULT

Method Detail

### values

    public static final MessagePart.PartType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(MessagePart.PartType c : MessagePart.PartType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static MessagePart.PartType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.